> For the complete documentation index, see [llms.txt](https://docs.welltested.ai/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.welltested.ai/v1/welltested-ai/unit-tests/good-to-knows/the-batching-rule.md).

# The Batching Rule

When adding Welltested to an existing project, it's recommended to generate tests in the batches.&#x20;

This gives Welltested the opportunity to learn your code style and any mistakes it's making and provide better subsequent results.

### Batching procedure

Start out with 3 classes that are different with each other in terms of functionality and dependencies used. Fix any syntax issues in generated tests and save them to the system.&#x20;

Repeat the process with 5, 7, 10 and more and you'll see that we start performing better with each iterations

> 💡: Initially choose classes with 1-3 methods or else add the other methods to `excludeMethods` to avoid manually fixing a large number of tests.&#x20;


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.welltested.ai/v1/welltested-ai/unit-tests/good-to-knows/the-batching-rule.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
